#!/usr/bin/perl

# This scripts check a MLF if all labels are correct 

open MLF, "$ARGV[0]" or die "Can not open $ARGV[0]";
$head = <MLF>;
$line=0;
while($file = <MLF>)
{
	$line++;
	$file =~ /\/(.*)\./;
	$file = $1;
	die "MLF error line $line - this label file is included above" if(defined($files{$file}));
	$files{$file} = "yes";
	#print "$file\n";
	$stop = 0;
	$like_sum = 0;
	$islbl = 0; 
	while($l = <MLF>)
	{
		$line++;
		chomp $l;
		last if($l eq ".");
		($start, $stop, $phn, $like) = split /\s+/, $l;
		$islbl = 1;
		 
		if( !($start =~ /^[0-9]+$/) || !($stop =~ /^[0-9]+$/) || $phn eq "")
		{
		    die "MLF error line $line ($l)"; 
		}		
	}
	die "MLF Error - labels for the $file are empty" if($islbl == 0);

}
close MLF;

print "MLF is OK ;-)\n";


