#!/usr/bin/perl

# Copies a transformation macro N times to a parallel structure


$line = $ARGV[0];
if($line eq "")
{
  $line = <>;
  chomp $line;
}
$line =~ s/^ //;
$line =~ s/ $//;

if($line =~ /^\d+x /)
{
  ($ntimes, $transform) = split / /, $line, 2;
  $ntimes =~ s/x+$//;
  print "<NumBlocks> $ntimes\n";
  for($i = 1; $i <= $ntimes; $i++)
  {
    print "  <Block> $i\n";
    print "    $transform\n";
  }  
}
else
{
  print $line;
}

